%bcond_without check

%global goipath         github.com/eapache/queue
Version:                1.1.0

%gometa

%global common_description %{expand:
A fast Golang queue using a ring-buffer, based on the version suggested by
Dariusz Górecki. Using this instead of other, simpler, queue implementations
(slice+append or linked list) provides substantial memory and time benefits,
and fewer GC pauses.

The queue implemented here is as fast as it is in part because it is not
thread-safe.}

%global golicenses      LICENSE
%global godocs          README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:    1%{?dist}
Summary:        Fast golang queue using ring-buffer

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
